Package org.eclipse.rdf4j.sail.federation.algebra

## Class AbstractNaryTupleOperator

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode
  - - org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryOperator<TupleExpr>
    - - org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryTupleOperator

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `GraphPatternGroupable`, `QueryModelNode`, `TupleExpr`, `VariableScopeChange`
  Direct Known Subclasses:
    `NaryJoin`

      public abstract class AbstractNaryTupleOperator
      extends AbstractNaryOperator<TupleExpr>
      implements TupleExpr

  An abstract superclass for n-ary tuple operators which have one or more arguments.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractNaryTupleOperator()` |
    `AbstractNaryTupleOperator​(List<? extends TupleExpr> args)` | Creates a new n-ary tuple operator.
    `AbstractNaryTupleOperator​(TupleExpr... args)` | Creates a new n-ary tuple operator.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AbstractNaryTupleOperator` | `clone()` | Returns a (deep) clone of this query model node.
    `Set<String>` | `getAssuredBindingNames()` | Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
    `Set<String>` | `getBindingNames()` | Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.federation.algebra.AbstractNaryOperator

      `addArg, getArg, getArgs, getNumberOfArguments, removeArg, replaceChildNode, setArg, visitChildren`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.AbstractQueryModelNode

      `getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, isGraphPatternGroup, isVariableScopeChange, nullEquals, replaceNodeInList, replaceWith, setCostEstimate, setGraphPatternGroup, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, setVariableScopeChange, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.QueryModelNode

      `equals, getCostEstimate, getParentNode, getResultSizeActual, getResultSizeEstimate, getSignature, getTotalTimeNanosActual, replaceChildNode, replaceWith, setCostEstimate, setParentNode, setResultSizeActual, setResultSizeEstimate, setTotalTimeNanosActual, toString, visit, visitChildren`

- - ### Constructor Detail

    - #### AbstractNaryTupleOperator

          public AbstractNaryTupleOperator()

    - #### AbstractNaryTupleOperator

          public AbstractNaryTupleOperator​(TupleExpr... args)

      Creates a new n-ary tuple operator.

    - #### AbstractNaryTupleOperator

          public AbstractNaryTupleOperator​(List<? extends TupleExpr> args)

      Creates a new n-ary tuple operator.

  - ### Method Detail

    - #### getBindingNames

          public Set<String> getBindingNames()

      Description copied from interface: `TupleExpr`
      Gets the names of the bindings that are, or can be, returned by this tuple expression when it is evaluated.
      Specified by:
        `getBindingNames` in interface `TupleExpr`
      Returns:
        A set of binding names.

    - #### getAssuredBindingNames

          public Set<String> getAssuredBindingNames()

      Description copied from interface: `TupleExpr`
      Gets the names of the bindings that are guaranteed to be present in the results produced by this tuple expression.
      Specified by:
        `getAssuredBindingNames` in interface `TupleExpr`
      Returns:
        A set of binding names.

    - #### clone

          public AbstractNaryTupleOperator clone()

      Description copied from interface: `QueryModelNode`
      Returns a (deep) clone of this query model node. This method recursively clones the entire node tree, starting from this nodes.
      Specified by:
        `clone` in interface `QueryModelNode`
      Specified by:
        `clone` in interface `TupleExpr`
      Overrides:
        `clone` in class `AbstractNaryOperator<TupleExpr>`
      Returns:
        A deep clone of this query model node.